/*
    Copyright (C) 2010-2011
    Johannes Feuser <johannes.feuser@googlemail.com>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief module for all exception classes
 */

#include "ExceptionTypes.h"


namespace DSM {

namespace Error {


CException::CException()  throw()  
{
  // Bouml preserved body begin 00045602
    // empty constructor
  // Bouml preserved body end 00045602

} //  CException::CException()  throw() 




CException::CException(const ::std::string& Message)  throw()  
:m_Message(Message)
{
  // Bouml preserved body begin 00024982
    // empty constructor
  // Bouml preserved body end 00024982

} //  CException::CException()  throw() 




CException::~CException()  throw()  
{
  // Bouml preserved body begin 00045682
    // empty desctructor
  // Bouml preserved body end 00045682

} //  CException::~CException()  throw() 




::std::string CException::GetMessage()  const throw()  
{
  return m_Message;
} // ::std::string CException::GetMessage()  const throw() 




const char* CException::what()  const throw()  
{
  // Bouml preserved body begin 00045582
    // return message string as char*
    return m_Message.c_str();
  // Bouml preserved body end 00045582

} // const char* CException::what()  const throw() 




CMath::CMath(const ::std::string& Message)  throw()  
:CException(Message)
{
  // Bouml preserved body begin 0002E482
  // Bouml preserved body end 0002E482

} //  CMath::CMath()  throw() 




CMemory::CMemory(const ::std::string& Message)  throw()  
:CException(Message)
{
  // Bouml preserved body begin 0002E502
  // Bouml preserved body end 0002E502

} //  CMemory::CMemory()  throw() 




CUnknown::CUnknown(const ::std::string& Message)  throw()  
:CException(Message)
{
  // Bouml preserved body begin 0002E602
  // Bouml preserved body end 0002E602

} //  CUnknown::CUnknown()  throw() 




CParser::CParser(const ::std::string& Message)  throw()  
:CException(Message)
{
  // Bouml preserved body begin 0002E582
  // Bouml preserved body end 0002E582

} //  CParser::CParser()  throw() 




CParameter::CParameter(const ::std::string& Message)  throw()  
:CException(Message)
{
  // Bouml preserved body begin 0002E402
  // Bouml preserved body end 0002E402

} //  CParameter::CParameter()  throw() 






} // namespace DSM::Error

} // namespace DSM
