/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief	
 */

#include "GOPPRRSyntaxTree.h"
#include "../GOPPRR/Project.h"
#include "../GOPPRR/Graph.h"


namespace DSM {


CGOPPRRSyntaxTree::CGOPPRRSyntaxTree(GOPPRR::CProject * pProject, GOPPRR::CGraph * pRootGraph)  throw()  
:m_pProject(pProject),
 m_pRootNode(pRootGraph)
{
  // Bouml preserved body begin 0003EA82
  // Bouml preserved body end 0003EA82

} //  CGOPPRRSyntaxTree::CGOPPRRSyntaxTree()  throw() 




CGOPPRRSyntaxTree::~CGOPPRRSyntaxTree()  throw()  
{
  // Bouml preserved body begin 00021102
  // Bouml preserved body end 00021102

} // CGOPPRRSyntaxTree::~CGOPPRRSyntaxTree()  throw() 




void * CGOPPRRSyntaxTree::GetTree()  throw()  
{
  // Bouml preserved body begin 00029282
    // return converted pointer to tree
    return static_cast< void* >(m_pRootNode);
  // Bouml preserved body end 00029282

} // void * CGOPPRRSyntaxTree::GetTree()  throw() 




::GOPPRR::CProject* CGOPPRRSyntaxTree::GetProject()  throw()  
{
  // Bouml preserved body begin 00047002
    // return pointer to GOPPRR project
    return m_pProject;
  // Bouml preserved body end 00047002

} // ::GOPPRR::CProject* CGOPPRRSyntaxTree::GetProject()  throw() 




GOPPRR::CGraph* CGOPPRRSyntaxTree::GetRootGraph()  const throw()  
{
  return m_pRootNode;
} // GOPPRR::CGraph CGOPPRRSyntaxTree::GetRootGraph()  const throw() 






} // namespace DSM
