/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief	
 */

#ifndef __DSM_SYNTAXTREE_H__
#define __DSM_SYNTAXTREE_H__






namespace DSM {


/*!
 *  \brief base class for syntax trees
 */
class CSyntaxTree 
{
  public:
    /*!
     *  \brief default constructor
     */
    CSyntaxTree() throw();
    
    

    /*!
     *  \brief destructor
     */
    virtual ~CSyntaxTree() throw();
    
    

    /*!
     *  \brief gets the syntax tree data structure
     *
     *  \return pointer to internal syntax tree
     */
    virtual void * GetTree() throw() = 0;
    
    


}; // class CSyntaxTree





} // namespace DSM

#endif // __ DSM_SYNTAXTREE_H__
