/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief	
 */

#include "Binding.h"
#include "Relationship.h"


namespace GOPPRR {


CBinding::CBinding(GOPPRR::CRelationship * const pRelationship, const GOPPRR::CConnection & Connection)  throw()  
:m_pRelationship(pRelationship),
 m_Connection(Connection)
{
  // Bouml preserved body begin 00026A82
  // Bouml preserved body end 00026A82

} //  CBinding::CBinding()  throw() 




CBinding::CBinding(const GOPPRR::CBinding& Source)  throw()  :m_pRelationship(Source.m_pRelationship),
 m_Connection(Source.m_Connection)
{
  // Bouml preserved body begin 00026D82
  // Bouml preserved body end 00026D82

} //  CBinding::CBinding()  throw() 




CBinding::~CBinding()  throw()  
{
  // Bouml preserved body begin 00026B02
  // Bouml preserved body end 00026B02

} // CBinding::~CBinding()  throw() 




GOPPRR::CBinding & CBinding::operator=(const GOPPRR::CBinding& Source)  throw()  
{
  // Bouml preserved body begin 00049002
    // assign member values from source
    m_pRelationship     = Source.m_pRelationship;
    m_Connection        = Source.m_Connection;

    // return reference to this instance
    return *this;
  // Bouml preserved body end 00049002

} // GOPPRR::CBinding CBinding::operator=()  throw() 






} // namespace GOPPRR
