/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief	
 */

#ifndef __GOPPRR_CONCEPT_H__
#define __GOPPRR_CONCEPT_H__


#include <iostream>

#include <string>



namespace GOPPRR {


/*!
 *  \brief concept class reprensentation
 */
struct CConcept 
{
    /*!
     *  \brief general constructor
     * 
     *  \param[in] OID object identifier
     *  \param[in] Type 	 literal name of the type
     */
    CConcept(const ::std::string& OID, const ::std::string& Type) throw();
    
    

    /*!
     *  \brief copy constructor
     *
     *  \param[in] Source source to copy
     */
    CConcept(const CConcept& Source) throw();
    
    

    virtual ~CConcept() throw();
    
    

    /*!
     *  \brief assignment operator
     *
     *  \param[in] Source object instance to assign from
     */
    CConcept & operator=(const CConcept & Source) throw();
    
    

    /*!
     *  \brief unique object identifier
     */
    ::std::string m_OID;
    
    

    /*!
     *  \brief name of a type
     */
    ::std::string m_Type;
    
    


}; // struct CConcept





} // namespace GOPPRR

#endif // __ GOPPRR_CONCEPT_H__
