/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief	
 */

#include "Connection.h"
#include "Object.h"
#include "Role.h"
#include "Port.h"


namespace GOPPRR {


CConnection::CCall::CCall(GOPPRR::CObject * const pObject, GOPPRR::CRole * const pRole, GOPPRR::CPort * const pPort)  throw()  
:m_pPort(pPort),
 m_pObject(pObject),
 m_pRole(pRole)
{
  // Bouml preserved body begin 0003EB02
  // Bouml preserved body end 0003EB02

} //  CConnection::CCall::CCall()  throw() 




CConnection::CCall::CCall(const GOPPRR::CConnection::CCall & Source)  throw()  
:m_pPort(Source.m_pPort),
 m_pObject(Source.m_pObject),
 m_pRole(Source.m_pRole)
{
  // Bouml preserved body begin 0003EC02
  // Bouml preserved body end 0003EC02

} // CConnection::CCall::CCall()  throw() 




CConnection::CCall::~CCall()  throw()  
{
  // Bouml preserved body begin 0003EB82
  // Bouml preserved body end 0003EB82

} // CConnection::CCall::~CCall()  throw() 




GOPPRR::CConnection::CCall & CConnection::CCall::operator=(const GOPPRR::CConnection::CCall& Source)  throw()  
{
  // Bouml preserved body begin 00048F82
    // assign member values from source
    m_pPort     = Source.m_pPort;
    m_pObject   = Source.m_pObject;
    m_pRole     = Source.m_pRole;


    // return reference to this instance
    return *this;
  // Bouml preserved body end 00048F82

} // GOPPRR::CConnection::CCall CConnection::CCall::operator=()  throw() 




CConnection::CConnection(const ::std::vector< ::GOPPRR::CConnection::CCall >& Calls)  throw()  
:m_Calls(Calls)
{
  // Bouml preserved body begin 00026B82
  // Bouml preserved body end 00026B82

} //  CConnection::CConnection()  throw() 




CConnection::CConnection(const GOPPRR::CConnection& Source)  throw()  
:m_Calls(Source.m_Calls)
{
  // Bouml preserved body begin 00026C82
  // Bouml preserved body end 00026C82

} //  CConnection::CConnection()  throw() 




CConnection::~CConnection()  throw()  
{
  // Bouml preserved body begin 00026C02
  // Bouml preserved body end 00026C02

} // CConnection::~CConnection()  throw() 




GOPPRR::CConnection & CConnection::operator=(const GOPPRR::CConnection& Source)  throw()  
{
  // Bouml preserved body begin 00048F02
    // assign member values from source
    m_Calls     = Source.m_Calls;

    // return reference to this instance
    return *this;
  // Bouml preserved body end 00048F02

} // GOPPRR::CConnection CConnection::operator=()  throw() 






} // namespace GOPPRR
