/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief exception types for the GOPPRR tree classes
 */

#include "ExceptionTypes.h"




namespace GOPPRR {

namespace Error {


CException::CException()  throw()  
{
  // Bouml preserved body begin 000AEF82
    // empty constructor
  // Bouml preserved body end 000AEF82

} //  CException::CException()  throw() 




CException::CException(const ::std::string& Message)  throw()  
:m_Message(Message)
{
  // Bouml preserved body begin 000AF002
    // empty constructor
  // Bouml preserved body end 000AF002

} //  CException::CException()  throw() 




CException::~CException()  throw()  
{
  // Bouml preserved body begin 000AF082
    // empty desctructor
  // Bouml preserved body end 000AF082

} //  CException::~CException()  throw() 




::std::string CException::GetMessage()  const throw()  
{
  return m_Message;
} // ::std::string CException::GetMessage()  const throw() 




const char* CException::what()  const throw()  
{
  // Bouml preserved body begin 000AF182
    // return message string as char*
    return m_Message.c_str();
  // Bouml preserved body end 000AF182

} // const char* CException::what()  const throw() 




CEmpty::CEmpty(const ::std::string& Message)  throw()  
:CException(Message)
{
  // Bouml preserved body begin 000AF202
  // Bouml preserved body end 000AF202

} //  CEmpty::CEmpty()  throw() 




CParameter::CParameter(const ::std::string& Message)  throw()  
:CException(Message)
{
  // Bouml preserved body begin 00101682
  // Bouml preserved body end 00101682

} //  CParameter::CParameter()  throw() 






} // namespace GOPPRR::Error

} // namespace GOPPRR
