/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/



#include "GraphicalContainer.h"
#include "Object.h"
#include "Relationship.h"


namespace GOPPRR {


CGraphicalContainer::CGraphicalContainer(GOPPRR::CObject * const pContainer, const std::map< std::string, ::GOPPRR::CObject* > & ContainedObjects, const std::map< std::string, ::GOPPRR::CRelationship* > & ContainedRelationships)  throw()  
:m_pContainer(pContainer),
 m_ContainedObjects(ContainedObjects),
 m_ContainedRelationships(ContainedRelationships)
{
  // Bouml preserved body begin 00034E82
  // Bouml preserved body end 00034E82

} //  CGraphicalContainer::CGraphicalContainer()  throw() 




CGraphicalContainer::CGraphicalContainer(const GOPPRR::CGraphicalContainer& Source)  throw()  
:m_pContainer(Source.m_pContainer),
 m_ContainedObjects(Source.m_ContainedObjects),
 m_ContainedRelationships(Source.m_ContainedRelationships)
{
  // Bouml preserved body begin 00034F82
  // Bouml preserved body end 00034F82

} //  CGraphicalContainer::CGraphicalContainer()  throw() 




CGraphicalContainer::~CGraphicalContainer()  throw()  
{
  // Bouml preserved body begin 00034F02
  // Bouml preserved body end 00034F02

} // CGraphicalContainer::~CGraphicalContainer()  throw() 




GOPPRR::CGraphicalContainer & CGraphicalContainer::operator=(const GOPPRR::CGraphicalContainer& Source)  throw()  
{
  // Bouml preserved body begin 00048E82
    // assign member values from source
    m_pContainer                = Source.m_pContainer;
    m_ContainedObjects          = Source.m_ContainedObjects;
    m_ContainedRelationships    = Source.m_ContainedRelationships;

    // return reference to this instance
    return *this;
  // Bouml preserved body end 00048E82

} // GOPPRR::CGraphicalContainer CGraphicalContainer::operator=()  throw() 






} // namespace GOPPRR
