/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief	
 */

#include "Object.h"


namespace GOPPRR {


CObject::CObject(const ::std::string& OID, const ::std::string& Type, const ::std::string& ID, const std::map< ::std::string, ::GOPPRR::CProperty* >& Properties)  throw()  
:CNonProperty(OID, Type, ID, Properties),
 m_pDecomposition(0)
{
  // Bouml preserved body begin 00026682
  // Bouml preserved body end 00026682

} //  CObject::CObject()  throw() 




CObject::CObject(const GOPPRR::CObject& Source)  throw()  
:CNonProperty(Source),
 m_pDecomposition(Source.m_pDecomposition),
 m_Explosions(Source.m_Explosions)
{
  // Bouml preserved body begin 00026782
  // Bouml preserved body end 00026782

} //  CObject::CObject()  throw() 




CObject::~CObject()  throw()  
{
  // Bouml preserved body begin 00026702
  // Bouml preserved body end 00026702

} // CObject::~CObject()  throw() 




GOPPRR::CObject & CObject::operator=(const GOPPRR::CObject& Source)  throw()  
{
  // Bouml preserved body begin 00048D02
    // assign member values from source
    m_pDecomposition    = Source.m_pDecomposition;
    m_Explosions        = Source.m_Explosions;

    // call operator of base class
    ::GOPPRR::CNonProperty::operator =(Source);

    // return reference to this instance
    return *this;
  // Bouml preserved body end 00048D02

} // GOPPRR::CObject CObject::operator=()  throw() 






} // namespace GOPPRR
