/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/



#include "Project.h"
#include "Graph.h"
#include "Object.h"
#include "Property.h"
#include "Port.h"
#include "Role.h"
#include "Relationship.h"


namespace GOPPRR {


CProject::CProject(const ::std::string & ProjectName)  throw()  
:m_Name(ProjectName)
{
  // Bouml preserved body begin 0004AA02
    // empty constructor
  // Bouml preserved body end 0004AA02

} //  CProject::CProject()  throw() 




CProject::CProject(const GOPPRR::CProject & Source)  throw()  
:m_GraphSet(Source.m_GraphSet),
 m_ObjectSet(Source.m_ObjectSet),
 m_PropertySet(Source.m_PropertySet),
 m_PortSet(Source.m_PortSet),
 m_RoleSet(Source.m_RoleSet),
 m_RelationshipSet(Source.m_RelationshipSet)
{
  // Bouml preserved body begin 00049082
  // Bouml preserved body end 00049082

} // CProject::CProject()  throw() 




CProject::~CProject()  throw()  
{
  // Bouml preserved body begin 00034D82
    // empty destructor
  // Bouml preserved body end 00034D82

} // CProject::~CProject()  throw() 




GOPPRR::CProject & CProject::operator=(const GOPPRR::CProject& Source)  throw()  
{
  // Bouml preserved body begin 00048E02
    // assign member values from source
    m_Name              = Source.m_Name;
    m_GraphSet          = Source.m_GraphSet;
    m_ObjectSet         = Source.m_ObjectSet;
    m_PropertySet       = Source.m_PropertySet;
    m_PortSet           = Source.m_PortSet;
    m_RelationshipSet   = Source.m_RelationshipSet;
    m_RoleSet           = Source.m_RoleSet;


    // return reference to this instance
    return *this;
  // Bouml preserved body end 00048E02

} // GOPPRR::CProject CProject::operator=()  throw() 






} // namespace GOPPRR
