/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief	
 */

#include "Property.h"
#include "NonProperty.h"


namespace GOPPRR {


CProperty::CProperty(const ::std::string& OID, const ::std::string& Type, const ::std::string& Value, const std::map< ::std::string, ::GOPPRR::CNonProperty* >& NonProperties)  throw()  
:CConcept(OID, Type),
 m_Value(Value),
 m_NonProperties(NonProperties)
{
  // Bouml preserved body begin 00026382
  // Bouml preserved body end 00026382

} //  CProperty::CProperty()  throw() 




CProperty::CProperty(const GOPPRR::CProperty & Source)  throw()  
:CConcept(Source),
 m_Value(Source.m_Value),
 m_NonProperties(Source.m_NonProperties)
{
  // Bouml preserved body begin 00026482
  // Bouml preserved body end 00026482

} // CProperty::CProperty()  throw() 




CProperty::~CProperty()  throw()  
{
  // Bouml preserved body begin 00026402
  // Bouml preserved body end 00026402

} // CProperty::~CProperty()  throw() 




GOPPRR::CProperty & CProperty::operator=(const GOPPRR::CProperty& Source)  throw()  
{
  // Bouml preserved body begin 00048A82
    // assign member values from source
    m_Value             = Source.m_Value;
    m_NonProperties     = Source.m_NonProperties;;

    // call operator of base class
    ::GOPPRR::CConcept::operator =(Source);

    // return reference to this instance
    return *this;
  // Bouml preserved body end 00048A82

} // GOPPRR::CProperty CProperty::operator=()  throw() 




::std::map< ::std::string, GOPPRR::CNonProperty* > CProperty::NonProperties(const ::std::string& Type, const bool& bSubString)  const throw()  
{
  // Bouml preserved body begin 000A5202
    ::std::map< ::std::string, ::GOPPRR::CNonProperty* >::const_iterator   NonProperty;
    ::std::map< ::std::string, ::GOPPRR::CNonProperty* >                   NonProperties;
    
    
    
    // process all non properties of this instance
    for (NonProperty = this->m_NonProperties.begin(); NonProperty != this->m_NonProperties.end(); NonProperty++)
    {
        // check, if current type of property is searched one
        if ((!bSubString && NonProperty->second->m_Type == Type) || (bSubString && NonProperty->second->m_Type.find(Type) != ::std::string::npos))
        {
            // add property to map
            NonProperties[ NonProperty->second->m_OID ] = NonProperty->second;
            
        } // if ((!bSubString && Property->second->m_Type == Type) || (bSubString && Property->second->m_Type.find(Type) != ::std::string::npos))
        
    } // for (NonProperty = this->m_NonProperties.begin(); NonProperty != this->m_NonProperties.end(); NonProperty++)
    
    // return map of found non properties
    return NonProperties;
  // Bouml preserved body end 000A5202

} // GOPPRR::CNonProperty CProperty::NonProperties()  const throw() 






} // namespace GOPPRR
