/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief	
 */

#include "Role.h"
#include "Graph.h"


namespace GOPPRR {


CRole::CRole(const ::std::string& OID, const ::std::string& Type, const ::std::string& ID, const std::map< ::std::string, ::GOPPRR::CProperty* >& Properties)  throw()  
:CNonProperty(OID, Type, ID, Properties)
{
  // Bouml preserved body begin 00026982
    // empty constructor
  // Bouml preserved body end 00026982

} //  CRole::CRole()  throw() 




CRole::CRole(const GOPPRR::CRole& Source)  throw()  
:CNonProperty(Source),
 m_Explosions(Source.m_Explosions)
{
  // Bouml preserved body begin 00026D02
    // empty constructor
  // Bouml preserved body end 00026D02

} //  CRole::CRole()  throw() 




CRole::~CRole()  throw()  
{
  // Bouml preserved body begin 00026A02
  // Bouml preserved body end 00026A02

} // CRole::~CRole()  throw() 




GOPPRR::CRole & CRole::operator=(const GOPPRR::CRole& Source)  throw()  
{
  // Bouml preserved body begin 00048C02
    // assign member values from source
    m_Explosions = Source.m_Explosions;

    // call operator of base class
    ::GOPPRR::CNonProperty::operator =(Source);

    // return reference to this instance
    return *this;
  // Bouml preserved body end 00048C02

} // GOPPRR::CRole CRole::operator=()  throw() 






} // namespace GOPPRR
