# - Try to find ACE library
#
#  ACE_FOUND - system has ACE library
#  ACE_INCLUDE_DIR - the ACE include directories
#  ACE_LIBRARIES - link these to use ACE

IF (ACE_INCLUDE_DIR)
  # Already in cache, be silent
  SET(ACE_FIND_QUIETLY TRUE)
ENDIF (ACE_INCLUDE_DIR)

# try to find include path
find_path(ACE_INCLUDE_DIR
          ACE.h
          PATHS
            /usr/include/ace
            /usr/local/include/ace
            "$ENV{ProgramFiles}/ACE"
            "$ENV{ACE_ROOT}"
            C:/ACE_wrappers
        )


# try to find library
find_library(ACE_LIBRARY
             ACE
             HINTS
                ${ACE_INCLUDE_DIR}/lib
             PATHS
                /lib
                /usr/lib/
                "$ENV{ACE_ROOT}/lib"
            )


include(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(ACE DEFAULT_MSG ACE_LIBRARY ACE_INCLUDE_DIR)

if(ACE_FOUND)
  set(ACE_LIBRARIES ${ACE_LIBRARY})
endif(ACE_FOUND)

mark_as_advanced(ACE_LIBRARY ACE_INCLUDE_DIR)
