# - Try to find CppUnit
#
#  CPPUNIT_FOUND - system has CppUnit
#  CPPUNIT_INCLUDE_DIR - the CppUnit include directories
#  CPPUNIT_LIBRARIES - link these to use CppUnit

IF (CPPUNIT_INCLUDE_DIR)
  # Already in cache, be silent
  SET(CPPUNIT_FIND_QUIETLY TRUE)
ENDIF (CPPUNIT_INCLUDE_DIR)

# try to find library
find_library(CPPUNIT_LIBRARY cppunit )

# try to find include path
find_path(CPPUNIT_INCLUDE_DIR TestSuite.h PATHS /usr/include /usr/include/cppunit )

include(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(CPPUNIT DEFAULT_MSG CPPUNIT_LIBRARY CPPUNIT_INCLUDE_DIR)

if(CPPUNIT_FOUND)
  set(CPPUNIT_LIBRARIES ${CPPUNIT_LIBRARY} )
endif(CPPUNIT_FOUND)

mark_as_advanced(CPPUNIT_LIBRARY CPPUNIT_INCLUDE_DIR )
