/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief classes as exception types
 */

#include "ExceptionTypes.h"


namespace oETCS {

namespace DF {

namespace Error {


CException::CException()  throw()  
{
  // Bouml preserved body begin 0004E102
    // empty constructor
  // Bouml preserved body end 0004E102

} //  CException::CException()  throw() 




CException::CException(const ::std::string& Message)  throw()  
:m_Message(Message)
{
  // Bouml preserved body begin 0004E182
    // empty constructor
  // Bouml preserved body end 0004E182

} //  CException::CException()  throw() 




CException::~CException()  throw()  
{
  // Bouml preserved body begin 0004E202
    // empty desctructor
  // Bouml preserved body end 0004E202

} //  CException::~CException()  throw() 




::std::string CException::GetMessage()  const throw()  
{
  return m_Message;
} // ::std::string CException::GetMessage()  const throw() 




const char* CException::what()  const throw()  
{
  // Bouml preserved body begin 0004E302
    // return message string as char*
    return m_Message.c_str();
  // Bouml preserved body end 0004E302

} // const char* CException::what()  const throw() 




CMath::CMath(const std::string& Message)  throw()  
:CException(Message)
{
  // Bouml preserved body begin 0004E382
  // Bouml preserved body end 0004E382

} //  CMath::CMath()  throw() 




CInput::CInput(const std::string& Message)  throw()  
:CException(Message)
{
  // Bouml preserved body begin 0006F982
  // Bouml preserved body end 0006F982

} //  CInput::CInput()  throw() 




CInternal::CInternal(const std::string& Message)  throw()  
:CException(Message)
{
  // Bouml preserved body begin 0006FB82
  // Bouml preserved body end 0006FB82

} //  CInternal::CInternal()  throw() 




CUnkown::CUnkown(const std::string& Message)  throw()  
:CException(Message)
{
  // Bouml preserved body begin 0006FC02
  // Bouml preserved body end 0006FC02

} //  CUnkown::CUnkown()  throw() 






} // namespace oETCS::DF::Error

} // namespace oETCS::DF

} // namespace oETCS
