/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief configuration file used at compilation time
 */

#ifndef __OETCS_GEN_CONFIGURATION_H__
#define __OETCS_GEN_CONFIGURATION_H__








namespace oETCS {

namespace GEN {


/*!
 *  \brief literal name of the EVC state machine type in the meta model
 */
#define __GENERATOR__EVCSTATEMACHINE__ "EVCStateMachine"


/*!
 *  \brief literal name of the EVC state machine type in the meta model
 */
#define __GENERATOR__TELEGRAMGRAPH__ "Telegram"


/*!
 *  \brief literal name of the EVC state machine type in the meta model
 */
#define __GENERATOR__EVCSTATE__ "Mode"


/*!
 *  \brief literal name of the EVC state machine type in the meta model
 */
#define __GENERATOR__FBTYPES__ {"AND", "OR", "XOR", "NOT", "Sum", "Subtraction", "Division", "Multiplication", "DoubleEqual", "IntEqual", "StringEqual", "DoubleEqualOrGreater", "DoubleGreater", "IntGreater", "DoubleArrayAccessor", "VariableStorage", "Odometer", "ServiceBrake", "EmergencyBrake", "BrakingToTargetSpeed", "CeelingSpeedControl", "Algorithm", "LinkingSupervision", "CommunicationReader", "CommunicationSender", "BoolGate", "DoubleGate", "StringGate", "BoolSwitch", "DoubleSwitch", "StringSwitch", "StateGuard", "ApplicationLevelType", "DMIOutput", "DMIInput", "SubFunction", "EnteredTrigger"}


/*!
 *  \brief literal name of the EVC state machine type in the meta model
 */
#define __GENERATOR__MAINFB__ "MainFunctionBlock"


/*!
 *  \brief literal name of the EVC state machine type in the meta model
 */
#define __GENERATOR__SUBFB__ "SubFunctionBlock"








} // namespace oETCS::GEN

} // namespace oETCS

#endif // __ OETCS_GEN_CONFIGURATION_H__
