/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief exception types of the generator namespace file
 */

#include "ExceptionTypes.h"




namespace oETCS {

namespace GEN {

namespace Error {


CException::CException()  throw()  
{
  // Bouml preserved body begin 00096F82
    // empty constructor
  // Bouml preserved body end 00096F82

} //  CException::CException()  throw() 




CException::CException(const ::std::string& Message)  throw()  
:m_Message(Message)
{
  // Bouml preserved body begin 00097002
    // empty constructor
  // Bouml preserved body end 00097002

} //  CException::CException()  throw() 




CException::~CException()  throw()  
{
  // Bouml preserved body begin 00097082
    // empty desctructor
  // Bouml preserved body end 00097082

} //  CException::~CException()  throw() 




::std::string CException::GetMessage()  const throw()  
{
  return m_Message;
} // ::std::string CException::GetMessage()  const throw() 




const char* CException::what()  const throw()  
{
  // Bouml preserved body begin 00097182
    // return message string as char*
    return m_Message.c_str();
  // Bouml preserved body end 00097182

} // const char* CException::what()  const throw() 




 CParameter::CParameter(const ::std::string& Message)  throw()  
:CException(Message)
{
  // Bouml preserved body begin 00097402
  // Bouml preserved body end 00097402

} //  CParameter::CParameter()  throw() 




 CModel::CModel(const ::std::string& Message)  throw()  
:CException(Message)
{
  // Bouml preserved body begin 00097482
  // Bouml preserved body end 00097482

} //  CModel::CModel()  throw() 






} // namespace oETCS::GEN::Error

} // namespace oETCS::GEN

} // namespace oETCS
